# Counter : Object
Return to: HTML DOM Level 2 index

Represents the value of a CSS counter.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
no | 1.0+ | no | no | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
Counter Constructor() : Counter Represents the value of a CSS counter. | Show Details | no | 1.0+ | no | no | 1.0+

### Counter() : Counter

Represents the value of a CSS counter.

Returns

Counter |

Visibility
  internal

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
identifier : String Name of the counter. | Show Details | no | 1.0+ | no | no | 1.0+

Availability

  HTML DOM Level 2|W3C

listStyle : String List style for the counter. | Show Details | no | 1.0+ | no | no | 1.0+

Availability

  HTML DOM Level 2|W3C

separator : String String used to separate nested counters. | Show Details | no | 1.0+ | no | no | 1.0+

Availability

  HTML DOM Level 2|W3C

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs